- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QPolygonF Class Reference

Search for all occurrences

## Detailed Description

Definition at line 132 of file qpolygon.h.

`#include <qpolygon.h>`

Inheritance diagram for QPolygonF:
[legend]

List of all members.

## Public Member Functions
| QPolygonF ()
| ~QPolygonF ()
| QPolygonF (int size)
| QPolygonF (const QPolygonF &a)
| QPolygonF (const QVector< QPointF > &v)
| QPolygonF (const QRectF &r)
| QPolygonF (const QPolygon &a)
void | translate (qreal dx, qreal dy)
void | translate (const QPointF &offset)
QPolygonF | translated (qreal dx, qreal dy) const
QPolygonF | translated (const QPointF &offset) const
QPolygon | toPolygon () const
bool | isClosed () const
QRectF | boundingRect () const
bool | containsPoint (const QPointF &pt, Qt::FillRule fillRule) const
QPolygonF | united (const QPolygonF &r) const
QPolygonF | intersected (const QPolygonF &r) const
QPolygonF | subtracted (const QPolygonF &r) const

## Constructor & Destructor Documentation

QPolygonF | ( |  | ) | `[inline]`

Definition at line 135 of file qpolygon.h.

    {}

~QPolygonF | ( |  | ) | `[inline]`

Definition at line 136 of file qpolygon.h.

    {}

QPolygonF | ( | int | size | ) | `[inline]`

Definition at line 162 of file qpolygon.h.

    : QVector<QPointF>(asize) {}

QPolygonF | ( | const QPolygonF & | a | ) | `[inline]`

Definition at line 138 of file qpolygon.h.

    : QVector<QPointF>(a) {}

QPolygonF | ( | const QVector< QPointF > & | v | ) | `[inline]`

Definition at line 139 of file qpolygon.h.

    : QVector<QPointF>(v) {}

QPolygonF | ( | const QRectF & | r | ) |

QPolygonF | ( | const QPolygon & | a | ) |

## Member Function Documentation

void translate | ( | qreal | dx,
|  | qreal | dy
| ) |  | `[inline]`

Search for all occurrences

Definition at line 176 of file qpolygon.h.

    { translate(QPointF(dx, dy)); }

void translate | ( | const QPointF & | offset | ) |

Search for all occurrences

QPolygonF translated | ( | qreal | dx,
|  | qreal | dy
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 179 of file qpolygon.h.

    { return translated(QPointF(dx, dy)); }

QPolygonF translated | ( | const QPointF & | offset | ) | const

Search for all occurrences

QPolygon toPolygon | ( |  | ) | const

Search for all occurrences

bool isClosed | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 151 of file qpolygon.h.

    { return !isEmpty() && first() == last(); }

QRectF boundingRect | ( |  | ) | const

Search for all occurrences

bool containsPoint | ( | const QPointF & | pt,
|  | Qt::FillRule | fillRule
| ) |  | const

Search for all occurrences

QPolygonF united | ( | const QPolygonF & | r | ) | const

Search for all occurrences

QPolygonF intersected | ( | const QPolygonF & | r | ) | const

Search for all occurrences

QPolygonF subtracted | ( | const QPolygonF & | r | ) | const

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qpolygon.h

QPolygonF QPolygonF QPolygonF QPolygonF QPolygonF QPolygonF QPolygonF QPolygonF QPolygonF QPolygonF
QPolygonF QPolygonF QPolygonF QPolygonF QPolygonF QPolygonF QPolygonF QPolygonF QPolygonF QPolygonF